mod day_one;
mod day_three;
mod day_two;

use std::fs::File;
use std::io::{self, BufRead, BufReader};

fn main() -> io::Result<()> {
    let f = BufReader::new(File::open("day1-input.txt")?);
    let masses: Vec<u64> = f
        .lines()
        .map(|line| line.unwrap().parse().unwrap())
        .collect();
    day_one::main(masses);

    day_two::part_one();
    day_two::part_two();

    day_three::main()?;

    Ok(())
}
